Bug 232164 - sysutils/bulk_extractor fails to build with openssl 1.1.1
Summary: sysutils/bulk_extractor fails to build with openssl 1.1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: MANTANI Nobutaka
URL:
Keywords:
Depends on:
Blocks: 231931
  Show dependency treegraph
 
Reported: 2018-10-10 21:57 UTC by Antoine Brodin
Modified: 2018-11-01 17:54 UTC (History)
0 users

See Also:
nobutaka: maintainer-feedback+


Attachments
proposed patch (9.55 KB, patch)
2018-10-10 21:57 UTC, Antoine Brodin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 commit-hook freebsd_committer 2018-10-22 13:49:04 UTC
A commit references this bug:

Author: nobutaka
Date: Mon Oct 22 13:48:08 UTC 2018
New revision: 482745
URL: https://svnweb.freebsd.org/changeset/ports/482745

Log:
  - Fix build with OpenSSL 1.1.1. [*]
  - Add dependencies to pass 'make stage-qa'.

  PR:		232164 [*]
  Submitted by:	antoine [*]

Changes:
  head/sysutils/bulk_extractor/Makefile
  head/sysutils/bulk_extractor/files/patch-plugins_dfxml_src_dfxml__configure.m4
  head/sysutils/bulk_extractor/files/patch-plugins_dfxml_src_hash__t.h
  head/sysutils/bulk_extractor/files/patch-src_dfxml_src_dfxml__configure.m4
  head/sysutils/bulk_extractor/files/patch-src_dfxml_src_hash__t.h
Comment 2 MANTANI Nobutaka freebsd_committer 2018-10-22 13:51:08 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2018-11-01 17:54:39 UTC
A commit references this bug:

Author: antoine
Date: Thu Nov  1 17:54:32 UTC 2018
New revision: 483691
URL: https://svnweb.freebsd.org/changeset/ports/483691

Log:
  MFH: r482745

  - Fix build with OpenSSL 1.1.1. [*]
  - Add dependencies to pass 'make stage-qa'.

  PR:		232164 [*]
  Submitted by:	antoine [*]

Changes:
_U  branches/2018Q4/
  branches/2018Q4/sysutils/bulk_extractor/Makefile
  branches/2018Q4/sysutils/bulk_extractor/files/patch-plugins_dfxml_src_dfxml__configure.m4
  branches/2018Q4/sysutils/bulk_extractor/files/patch-plugins_dfxml_src_hash__t.h
  branches/2018Q4/sysutils/bulk_extractor/files/patch-src_dfxml_src_dfxml__configure.m4
  branches/2018Q4/sysutils/bulk_extractor/files/patch-src_dfxml_src_hash__t.h